#!/bin/bash

# Copyright (c) 2017 Cloudera, Inc. All rights reserved.

init_db_schema() {
  ${PSQL} -d ckms -U ${procuser} -c 'create sequence "DEPOSIT_SEQ" increment by 10';
  ${PSQL} -d ckms -U ${procuser} -c 'create sequence "STATUS_CHANGE_SEQ" increment by 10';

  ${PSQL} -d ckms -U ${procuser} -c "alter user ${procuser} password '${PGPASSWORD}';"

  ${JAVA_HOME}/bin/java -cp "$KMS_LIB" \
  -Ddatanucleus.ConnectionURL="jdbc:postgresql://127.0.0.1:${PGPORT}/ckms"   \
  -Ddatanucleus.ConnectionDriverName="org.postgresql.Driver" \
  -Ddatanucleus.ConnectionUserName=${procuser} \
  -Ddatanucleus.ConnectionPassword=${PGPASSWORD}  \
  org.datanucleus.store.schema.SchemaTool \
  -create -pu ckms
}
